Subject: Re: 29.0.50; pgtk: characters typed into minibuffers inserted multiple times

From: Po Lu <[email-masked]>
Date: Tue, 11 Jan 2022 18:21:34 +0800

Sean Whitton <[email-masked]> writes:

> It occurred to me to try --with-x-toolkit=lucid instead of --with-pgtk.
> Sure enough, I cannot reproduce the bug.  So I think the problem is
> something about how pgtk receives and processes keyboard input.

> In summary: I can reproduce with pgtk running as a native Wayland
> application, and I cannot reproduce with the Lucid build running under
> Xwayland.  In both cases, swaywm.  I have retitled the bug.

You forgot to test the following combinations:

  --with-x-toolkit=gtk3, x-gtk-use-native-input set to nil
  --with-x-toolkit=gtk3, x-gtk-use-native-input set to t
  --with-pgtk, GDK_BACKEND=x11

Could you please try all three setups and see which of those the
problem exists in?

Thanks in advance.